﻿<%@ Page Language="VB" AutoEventWireup="false" CodeBehind="logon.aspx.vb" Inherits="CI.Archive.LogonPage" MasterPageFile="~/Shared/MasterPage.Master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server">
    <div class="center-block" style="max-width: 350px; margin-top: 100px;">
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
        </telerik:RadAjaxLoadingPanel>
        <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" Width="100%" LoadingPanelID="RadAjaxLoadingPanel1">
            <h2 class="text-center page-header text-uppercase" runat="server">
                <img src="<%= VirtualPathUtility.ToAbsolute("~/images/Logo-flat-farbe-trans_160.png") %>" /><br />
                <span class="small"><small>
                    <asp:Literal ID="lblCopyright" Text="© ci solution GmbH 2017" runat="server"></asp:Literal></small>
                </span>
                <br />
                <br />
                <asp:Literal ID="lblHeader" Text="CI-Archive" runat="server"></asp:Literal>
            </h2>

            <%-- Microsoft login --%>
            <div class="col-lg-12 col-md-12 col-sm-12">
                <asp:Panel ID="pnlMicrosoftLogon" Visible="false" runat="server">
                    <telerik:RadButton runat="server" Primary="true" ID="btnMicrosoftAccount" NavigateUrl="?microsoft=true" CausesValidation="false" Text="Continue with Microsoft" CssClass="btn-block">
                        <Icon PrimaryIconUrl="~/images/login_microsoft_logo.png" PrimaryIconHeight="22" PrimaryIconWidth="22" />
                    </telerik:RadButton>
                    <br />
                    <br />
                    <%-- separator --%>
                    <div>
                        <div class="login-or">
                            <telerik:RadLabel ID="lblOr" Text="or" runat="server"></telerik:RadLabel>
                        </div>
                        <br />
                    </div>
                </asp:Panel>
                
                <asp:Panel ID="pnlDefault" runat="server">
                    <asp:ValidationSummary runat="server" EnableClientScript="false" CssClass="alert alert-danger" DisplayMode="List" ForeColor="DarkRed" />
                    <asp:Panel ID="pnlEmail" CssClass="form-group" runat="server">
                        <telerik:RadTextBox runat="server" InputType="Email" ID="txtEmail" Width="100%"></telerik:RadTextBox>
                        <%--<asp:RequiredFieldValidator ID="EmailRequiredFieldValidator" Display="Dynamic" runat="server" Text="Email is required" ControlToValidate="EmailTextBox" CssClass="input-validation" EnableClientScript="true"></asp:RequiredFieldValidator>--%>
                        <asp:RegularExpressionValidator ID="EmailFieldValidator" runat="server" Display="Dynamic" Text="Incorrect email" CssClass="input-validation" ControlToValidate="txtEmail" ValidationExpression="^[^\s]+@[^\s]+\.[^\s]+$"></asp:RegularExpressionValidator>
                    </asp:Panel>
                    <div class="form-group">
                        <telerik:RadTextBox runat="server" ID="txtUser" Width="100%"></telerik:RadTextBox>
                    </div>
                    <div class="form-group">
                        <telerik:RadTextBox runat="server" ID="txtPass" Width="100%" TextMode="Password"></telerik:RadTextBox>
                        <asp:RequiredFieldValidator ID="PasswordRequiredFieldValidator" Display="Dynamic" runat="server" Text="Password is required" ControlToValidate="txtPass" CssClass="input-validation" EnableClientScript="true"></asp:RequiredFieldValidator>
                    </div>
                    <asp:Panel ID="pnlRememberMe" runat="server" CssClass="form-group">
                        <div class="pull-left">
                            <telerik:RadCheckBox runat="server" ID="chkRememberMe" Text="Remember me" AutoPostBack="false" CausesValidation="false"></telerik:RadCheckBox>
                            <br />
                        </div>
                        <div class="pull-right">
                            <asp:Panel ID="pnlLoginOptions" runat="server" Style="margin-left: 10px; text-align: center;">
                                <telerik:RadButton RenderMode="Lightweight" ID="btnLoginOptions" AutoPostBack="false" CausesValidation="false"
                                    runat="server" OnClientClicked="OnClientClicked">
                                    <ContentTemplate>
                                        <span class="glyphicon glyphicon-cog" style="font-size: 22px; vertical-align: top"></span>
                                        &nbsp;
                                    <span class="caret"></span>
                                    </ContentTemplate>
                                </telerik:RadButton>
                                <telerik:RadContextMenu ID="ctxmLoginOptions" runat="server" OnClientLoad="storeContextMenuReference">
                                    <Items>
                                        <telerik:RadMenuItem NavigateUrl="?showemail=true" SpriteCssClass="glyphicon glyphicon-ok">
                                        </telerik:RadMenuItem>
                                    </Items>
                                </telerik:RadContextMenu>
                            </asp:Panel>
                        </div>
                        <div class="clearfix"></div>
                    </asp:Panel>
                    <div class="form-group">
                        <telerik:RadButton runat="server" ID="btnLogin" UseSubmitBehavior="true" Text="Sign in" Primary="true" CssClass="btn-block"></telerik:RadButton>
                    </div>
                </asp:Panel>
            </div>

            <%--
            <asp:Panel ID="pnlMaintenance" runat="server" Visible="false">
                <asp:Literal ID="LiteralMaintenance" Text="test" runat="server"></asp:Literal>
            </asp:Panel>
            --%>
        </telerik:RadAjaxPanel>
    </div>

    <script type="text/javascript">
        var contextMenu = null;

        function storeContextMenuReference(sender, args) {
            contextMenu = sender;
        }

        function OnClientClicked(sender, args) {
            var currentLocation = $telerik.getBounds(sender.get_element());
            contextMenu.showAt(currentLocation.x + document.body.scrollLeft + document.documentElement.scrollLeft,
                currentLocation.y + currentLocation.height + document.body.scrollTop + document.documentElement.scrollTop);
        }
    </script>

</asp:Content>
